Summary: Linux dynamic loader
Name: ld.so_sparc
Version: 1.8.0
Release: 1
ExclusiveArch: sparc
ExclusiveOS: Linux
Copyright: distributable
Group: Libraries
Source: ld.so-1-bins.tar.gz
#Source: ftp.ods.com:/pub/linux/ld.so-1.8.0.tar.gz
#Patch: ld.so.patches
#Patch1: ld.so-1.8.0-misc.patch
BuildRoot: /tmp/ld.so-root
%description
This program is necessary for the loading of shared libraries.
Without this, the system will NOT work. Do not remove this package.

%prep
#%setup -n ld.so-1.8.0
#%patch -p1
#%patch1 -p1 -b .sopwith

#%build
# 'make clean' is necessary to remove the precompiled versions
# (very important if we are compiling on a different architecture)
#make clean
#make ARCH=$RPM_ARCH

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
#for I in lib usr/man/man3 usr/man/man8 usr/man/man1 \
#	usr/include sbin usr/bin usr/lib etc; do
#		mkdir -p $RPM_BUILD_ROOT/$I
#done
#PREFIX=$RPM_BUILD_ROOT
#AUTO_INST=true
#export PREFIX AUTO_INST
#make ARCH=$RPM_ARCH PREFIX=$RPM_BUILD_ROOT AUTO_INST=true install
#echo "/usr/X11R6/lib" >> $RPM_BUILD_ROOT/etc/ld.so.conf

tar -xzvpSf $RPM_SOURCE_DIR/ld.so-1-bins.tar.gz -C $RPM_BUILD_ROOT
chown root.root -R $RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/etc/ld.so.conf

%post
echo "/usr/local/lib" >> /etc/ld.so.conf
/sbin/ldconfig

%files
/lib/ld-linux.so.1
/lib/ld-linux.so
/lib/libdl.so
/lib/libdl.so.1.7.14
#%ifarch i386
#/lib/ld.so
#/lib/ld.so.1.8.0
#%endif
/usr/bin/ldd
#/usr/lib/lddstub
/sbin/ldconfig
/usr/man/man8/ld.so.8
/usr/man/man1/ldd.1
/usr/man/man8/ldconfig.8
/usr/man/man3/dlopen.3
/usr/man/man3/dlclose.3
/usr/man/man3/dlsym.3
/usr/man/man3/dlerror.3
/usr/include/dlfcn.h
